Main Page | Directories | File List | File Members | Related Pages

# TestStatistic.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | C_standardize (const double *t, const double *mu, const double *Sigma, int pq, double tol, double *ans)
double | C_maxabsTestStatistic (const double *t, const double *mu, const double *Sigma, int pq, double tol)
double | C_quadformTestStatistic (const double *t, const double *mu, const double *SigmaPlus, int pq)

## Function Documentation

double C_maxabsTestStatistic | ( | const double * | t,
|  | const double * | mu,
|  | const double * | Sigma,
|  | int | pq,
|  | double | tol
| ) |

  | Maximum absolute values of standardized statistics Parameters:
  | t | the vector of statistics
  | mu | expectations
  | Sigma | covariance matrix
  | pq | dimension of t
  | tol | tolerance for variances
Definition at line 66 of file TestStatistic.c. References C_absstandardize(), and C_max(). Referenced by C_TestStatistic(), and R_maxabsTestStatistic(). Here is the call graph for this function:

double C_quadformTestStatistic | ( | const double * | t,
|  | const double * | mu,
|  | const double * | SigmaPlus,
|  | int | pq
| ) |

  | Quadratic form t(t - mu) SigmaPlus (t - mu) Parameters:
  | t | the vector of statistics
  | mu | expectations
  | SigmaPlus | Moore-Penrose inverse
  | pq | dimension of t
Definition at line 110 of file TestStatistic.c. Referenced by C_TestStatistic(), and R_quadformTestStatistic().

void C_standardize | ( | const double * | t,
|  | const double * | mu,
|  | const double * | Sigma,
|  | int | pq,
|  | double | tol,
|  | double * | ans
| ) |

  | Standardizes a statistic t of length pq with mean mu and covariance Sigma for variances > tol Parameters:
  | t | the vector of statistics
  | mu | expectations
  | Sigma | covariance matrix
  | pq | dimension of t
  | tol | tolerance for variances
  | ans | return value; a pointer to a REALSXP-vector of length pq
Definition at line 23 of file TestStatistic.c. Referenced by C_absstandardize(), C_Node(), and R_splitcategorical().